package com.unissoft.pushMsg;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.ArrayList;
import java.util.List;

/**
 * @author qingsong.han
 * @description:
 * @create 2022-10-14 16:50
 */
//@Data
@Component
public class AddressModel {

    public AddressModel(){
        String fileName = "./config.txt";
        List<String> content = new ArrayList<>();
        try {
            content = Files.readAllLines(Paths.get(fileName));
           if(content.size() > 0) {
               JSONObject json = JSONObject.parseObject(content.get(0));
               deviceIP = json.getString("deviceIP");
               orgCode = json.getString("orgCode");
               userName = json.getString("userName");
               password = json.getString("password");
               push = json.getString("push");
           }
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }

    public String getPush() {
        return push;
    }

    public String getDeviceIP() {
        return deviceIP;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public String getUserName() {
        return userName;
    }

    public String getPassword() {
        return password;
    }

    // 推送地址
    //@Value("${address.pushToIntrusion}")
    //private String pushToIntrusion;
    //@Value("${address.push}")
    private String push;
    // 设备ip
    //@Value("${exceptionAlarm.deviceIP}")
    private String deviceIP;
    // 设备ip
    //@Value("${exceptionAlarm.org-code}")
    private String orgCode;
    // 设备登录用户名
    //@Value("${exceptionAlarm.userName}")
    private String userName;
    // 设备登录密码
    //@Value("${exceptionAlarm.password}")
    private String password;

}
